
package eu.dnetlib.dhp.skgif.model;

import java.io.Serializable;

/**
 * @author miriam.baglioni
 * @Date 04/04/24
 */
public class Indicator implements Serializable {
	private DownloadsAndViews downloadsAndViews;

	public DownloadsAndViews getDownloadsAndViews() {
		return downloadsAndViews;
	}

	public void setDownloadsAndViews(DownloadsAndViews downloadsAndViews) {
		this.downloadsAndViews = downloadsAndViews;
	}

	public static Indicator newInstance(DownloadsAndViews uc) {
		Indicator i = new Indicator();
		i.setDownloadsAndViews(uc);
		return i;
	}

	public static Indicator newInstance(String downloads, String views) {
		Indicator i = new Indicator();
		i.setDownloadsAndViews(DownloadsAndViews.newInstance(views, downloads));
		return i;
	}

}
